• Print  |
  • Feedback  |

Knowledge Base

SAS® 9.2 (TS2M3) Support for Web Browsers and Plug-Ins

This page contains the minimum version requirements of Web browser software for use with the third maintenance release for SAS 9.2 (TS2M3), beginning with revision 10w46.

Note: The minimum version requirements for Web browser software for use with SAS 9.2 (TS2M3) up through revision 10w42 are the same as for the second maintenance release forSAS 9.2 (TS2M2).

It is possible to use updated versions of the third-party software listed below. See SAS® Third-Party Software Requirements - Baseline and Higher Support for more details.

Web Browsers

The table below lists the Web browsers that are supported for use with SAS® Foundation software and SAS client applications.

For the UNIX, VMS, and MVS platforms, SAS 9.2 Foundation assumes that users will use the Remote Browser Server to display Help and Online Documentation and to view ODS HTML output. The Remote Browser Server runs on the user's Windows or Linux desktop machine and uses one of the browsers listed in the table below to display output.

For the Windows platforms, SAS 9.2 Foundation uses Microsoft Internet Explorer or Firefox for wbrowse and can use either Microsoft Internet Explorer, Firefox, or an embedded browser to display ODS results.

You can download the Remote Browser Server from the Software Downloads page.

Web Browser Platform Version Notes
Internet Explorer Windows XP SP2 (32-bit or 64-bit x64) 6 (6.0.2900.2180) Only the 32-bit version of the browser is supported.
Internet Explorer Windows Server 2003 (32-bit, 64-bit x64, or 64-bit Itanium) 6 (6.00.3790.0000) Only the 32-bit version of the browser is supported.
Internet Explorer Windows XP SP2 (32-bit or 64-bit x64) 7 and 8 Only the 32-bit version of the browser is supported.

Sometimes Internet Explorer does not render long lines of text correctly on the View tab of a Web report, such as a SAS® Web Report Studio Report. If this is the case, resize the window width to resolve the issue. For an example of this text-rendering issue, view the sample display.
Internet Explorer Windows Server 2003 (32-bit, 64-bit x64, or 64-bit Itanium) 7 and 8
Internet Explorer Windows Vista (32-bit or 64-bit x64) 7 and 8
Internet Explorer Windows Server 2008 (32-bit or 64-bit x64) 7 and 8
Internet Explorer Windows 7 (32-bit or 64-bit x64) 8
Internet Explorer Windows Server 2008 R2 8
Internet Explorer Windows Vista and Windows 7 (for both 32-bit and 64-bit x64) 9 Only the 32-bit version of the browser is supported.

Internet Explorer 9 is supported in the third maintenance release for SAS 9.2 (TS2M3) and in SAS® Enterprise BI 4.3. To get this support, you must install a series of hot fixes, as described in SAS Note 45988.
Firefox Linux 32-bit (x86) 2.0.0.11 Only the 32-bit version of the browser is supported.

Click Download in the Linux column. Only the English version has been tested. This link downloads a .gz compressed tarball. Extract the tarball using the tar -xzvf command in the directory where you want to install Firefox. This process creates a firefox subdirectory in that directory.
Firefox Windows XP SP2 (32-bit or 64-bit x64) 2.0.0.11, 3.0.6, and 3.6 Only the 32-bit version of the browser is supported.
Firefox Windows Vista (32-bit or 64-bit x64) 2.0.0.11, 3.0.6, and 3.6 Only the 32-bit version of the browser is supported.

Adobe Flash Player

Some SAS Web applications use Adobe Flash Player to provide interactive functionality. The table below shows the required version of the Adobe Flash Player.

Note: It is not necessary to install the Adobe Flash Player on client machines in advance. If the Adobe Flash Player is not already installed, and you access a SAS Web application that uses Flash, your browser will prompt you to install it.

Product Version Link
Adobe Flash Player 10.0.32.18 Download